## org.apache.myfaces.config.impl.digester.elements
Class Converter

    java.lang.Object
      org.apache.myfaces.config.impl.digester.elements.Converter

public class Converter
extends java.lang.Object

Author:
  Oliver Rossmueller

Constructor Summary
`Converter()`

Method Summary
`void` `addAttribute(Attribute value)`
`void` `addProperty(Property value)`
`java.util.Iterator` `getAttributes()`
`java.lang.String` `getConverterClass()`
`java.lang.String` `getConverterId()`
`java.lang.String` `getForClass()`
`java.util.Iterator` `getProperties()`
`void` `setConverterClass(java.lang.String converterClass)`
`void` `setConverterId(java.lang.String converterId)`
`void` `setForClass(java.lang.String forClass)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Converter

    public Converter()

Method Detail

### getConverterId

    public java.lang.String getConverterId()

### setConverterId

    public void setConverterId(java.lang.String converterId)

### getForClass

    public java.lang.String getForClass()

### setForClass

    public void setForClass(java.lang.String forClass)

### getConverterClass

    public java.lang.String getConverterClass()

### setConverterClass

    public void setConverterClass(java.lang.String converterClass)

### addProperty

    public void addProperty(Property value)

### getProperties

    public java.util.Iterator getProperties()

### addAttribute

    public void addAttribute(Attribute value)

### getAttributes

    public java.util.Iterator getAttributes()